style.css 7.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527
  1. *,
  2. *:after,
  3. *:before{
  4. box-sizing: inherit;
  5. }
  6. html{
  7. box-sizing: border-box;
  8. width: 100%;
  9. height: 100%;
  10. font-weight: 300;
  11. padding:0;
  12. border:0;
  13. margin:0;
  14. }
  15. body{
  16. color: #eee !important;
  17. background:#123 !important;
  18. font-family: Helvetica, sans-serif;
  19. font-size: 14px;
  20. font-weight: 100;
  21. line-height: 140%;
  22. padding: 0;
  23. border: 0;
  24. margin: 0;
  25. }
  26. blockquote {
  27. border-left: 2px solid #789;
  28. padding: 4px 8px;
  29. }
  30. /* ***** link ***** */
  31. a{
  32. color: #ec0;
  33. text-decoration: none;
  34. cursor: pointer;
  35. }
  36. a:hover{
  37. color: #ee0;
  38. }
  39. /* ***** code ***** */
  40. code{
  41. font-family: Courier, monospace;
  42. font-weight: 400;
  43. white-space: nowrap;
  44. color: #fff;
  45. }
  46. pre{
  47. background: #456;
  48. border: 1px solid #456;
  49. border-radius: 3px;
  50. padding: 4px;
  51. padding-left: 12px;
  52. font-family: Courier, monospace;
  53. }
  54. pre>code{
  55. white-space: pre;
  56. font-weight: 300;
  57. }
  58. fieldset{
  59. background: #234;
  60. border: 1px solid #234;
  61. border-radius: 5px;
  62. }
  63. legend{
  64. float: left;
  65. font-size: 16px;
  66. font-weight: 400;
  67. padding: 16px 0;
  68. }
  69. /* ***** gadgets ***** */
  70. textarea,
  71. button,
  72. select,
  73. input{
  74. font-family: Helvetica, sans-serif;
  75. font-size: 14px;
  76. font-weight: 300;
  77. line-height: 140%;
  78. color: #eee;
  79. background-color: #456;
  80. border: 1px solid #456;
  81. border-radius: 3px;
  82. padding: 0 4px;
  83. margin: 2px;
  84. outline: 0;
  85. }
  86. select{
  87. padding: 2px 0;
  88. }
  89. input[type=submit]:hover{
  90. color: #ec0;
  91. }
  92. button[type=submit]:hover{
  93. color: #ec0;
  94. }
  95. button[type=button]:hover{
  96. color: #ec0;
  97. }
  98. input[type=checkbox]{
  99. -webkit-appearance: none;
  100. width: 16px;
  101. height: 16px;
  102. vertical-align: middle;
  103. }
  104. input[type=checkbox]:checked{
  105. -webkit-appearance: none;
  106. background: #0e0 !important;
  107. }
  108. /* Hacks for theme my login */
  109. input:-webkit-autofill {
  110. -webkit-box-shadow: 0 0 0px 1000px #456 inset;
  111. -webkit-text-fill-color: #eee;
  112. background-clip: content-box;
  113. }
  114. p.message{
  115. background-color: #456 !important;
  116. border: 1px solid #456 !important;
  117. border-radius: 3px !important;
  118. color: #eee !important;
  119. }
  120. /* Hacks for tiny-mce */
  121. button.add_media{
  122. color: #eee !important;
  123. background-color: #456 !important;
  124. border: 1px solid #456 !important;
  125. border-radius: 3px !important;
  126. box-shadow: none !important;
  127. }
  128. button.wp-switch-editor{
  129. color: #eee !important;
  130. background-color: #456 !important;
  131. border-width: 1px !important;
  132. border-style: solid !important;
  133. border-color: #456 !important;
  134. border-radius: 6px 6px 0 0 !important;
  135. box-shadow: none !important;
  136. margin-bottom: 1px;
  137. }
  138. button.wp-switch-editor:hover{
  139. color: #ec0 !important;
  140. }
  141. div.mce-panel{
  142. background: #234 !important;
  143. }
  144. div.mce-toolbar-grp{
  145. background: #abc !important;
  146. }
  147. /* Hack for crayon */
  148. div#cboxLoadedContent{
  149. color: #123 !important;
  150. background: #abc !important;
  151. font-size: 14px !important;
  152. }
  153. #crayon-te-bar-content{
  154. font-size: 14px !important;
  155. }
  156. .crayon-setting{
  157. color: #eee !important;
  158. background-color: #456 !important;
  159. border: 1px solid #456 !important;
  160. border-radius: 3px !important;
  161. box-shadow: none !important;
  162. }
  163. #crayon-code{
  164. color: #eee !important;
  165. background: #456 !important;
  166. }
  167. /* jstree */
  168. .modules_nav_tree .jstree-anchor{
  169. padding: 0 2px;
  170. text-shadow: none !important;
  171. color: #ccc !important;
  172. }
  173. .modules_nav_tree .jstree-anchor:hover{
  174. background: #345;
  175. }
  176. .modules_nav_tree .jstree-anchor.jstree-clicked{
  177. background: #567;
  178. color: #eee;
  179. }
  180. /* ***** spacing ***** */
  181. hr{
  182. border: 0;
  183. width: 100%;
  184. border-top: 1px solid #789;
  185. margin: 48px 0 16px;
  186. }
  187. /* ***** table ***** */
  188. table{
  189. table-layout: fixed;
  190. border-spacing: 0;
  191. width: 100%;
  192. margin: 16px 0;
  193. }
  194. table.modman{
  195. font-size: 90%;
  196. table-layout: auto;
  197. margin: 0;
  198. }
  199. tr:nth-child(even){
  200. background: #182838;
  201. }
  202. tr:nth-child(odd){
  203. background: #1e2e3e;
  204. }
  205. th{
  206. background: #456;
  207. border-radius: 3px 3px 0 0;
  208. }
  209. th,td{
  210. text-align: left;
  211. padding: 4px;
  212. }
  213. th{
  214. font-weight: 500;
  215. }
  216. th.modman{
  217. padding: 0 8px;
  218. }
  219. td.modman{
  220. padding: 0 8px;
  221. }
  222. /* ***** typography ***** */
  223. p{
  224. margin-top: 16px;
  225. }
  226. h1,
  227. h2,
  228. h3,
  229. h4,
  230. h5,
  231. h6{
  232. font-weight: 400;
  233. }
  234. h1{
  235. font-size: 40px;
  236. margin: 38px 0 28px;
  237. }
  238. h2{
  239. font-size: 40px;
  240. margin: 34px 0 24px;
  241. }
  242. h3{
  243. font-size: 28px;
  244. margin: 40px 0 22px;
  245. }
  246. h4{
  247. font-size: 24px;
  248. margin: 30px 0 20px;
  249. }
  250. h5{
  251. font-size: 20px;
  252. margin: 28px 0 18px;
  253. }
  254. h6{
  255. font-size: 16px;
  256. margin: 26px 0 16px;
  257. }
  258. /* ***** wordpress css ***** */
  259. div.comments-area{
  260. background-color: #234;
  261. border: 1px solid #234;
  262. border-radius:3px;
  263. padding:8px;
  264. }
  265. /* ***** mx2-theme layout ***** */
  266. body.page_body{
  267. position:relative;
  268. width:100%;
  269. height:100%;
  270. }
  271. /* parent: page_body */
  272. div.page_header{
  273. position:fixed;
  274. width: 100%;
  275. top:0;
  276. height:40px;
  277. line-height:40px;
  278. text-align: center;
  279. background: #abc;
  280. z-index: 5;
  281. }
  282. img{
  283. vertical-align: middle;
  284. }
  285. /* parent: page_header */
  286. span.header_title_strip{
  287. margin-left: calc( ( 100% - 960px ) / 2 + 24px );
  288. float: left;
  289. }
  290. /* parent: page_title_strip */
  291. span.header_logo{
  292. }
  293. .header_logo img{
  294. margin-bottom: 4px;
  295. }
  296. /* parent: page_title_strip */
  297. span.header_text{
  298. font-size: 16px;
  299. color: #123;
  300. margin-left: 8px;
  301. }
  302. /* parent: page_header */
  303. span.header_button_strip{
  304. }
  305. /* parent: header_button_strip */
  306. a.header_button{
  307. vertical-align: middle;
  308. background-color: #456;
  309. border: 1px solid #456;
  310. border-radius: 3px;
  311. padding: 4px 7px;
  312. font-size: 11px;
  313. font-weight: 400;
  314. color: #fcfcfc;
  315. cursor: pointer;
  316. text-align: center;
  317. text-decoration: none;
  318. text-transform: uppercase;
  319. white-space: nowrap;
  320. letter-spacing: 0.05em;
  321. }
  322. a.header_button:hover{
  323. background-color: #789;
  324. border-color: #789;
  325. color: #ffee00;
  326. outline: 0;
  327. }
  328. input.header_paypal_button{
  329. background: none;
  330. border: none;
  331. }
  332. /* parent: page_header */
  333. span.header_donate_strip{
  334. margin-right: calc( ( 100% - 960px ) / 2 + 24px );
  335. float: right;
  336. }
  337. /* parent: header_donate_strip */
  338. form.header_paypal{
  339. display: inline;
  340. }
  341. /* parent: header_donate_strip */
  342. a.header_patreon{
  343. }
  344. a.header_patreon:hover{
  345. }
  346. /* parent: page_body */
  347. div.page_content{
  348. position:relative;
  349. top: 0;
  350. height: 100%;
  351. width: 100%;
  352. margin-top: 40px;
  353. }
  354. /* parent: page_content */
  355. div.post_content{
  356. position: static;
  357. padding:16px 24px;
  358. max-width: 960px; /* 840 */
  359. margin: 0 auto;
  360. clear: left;
  361. background:#123;
  362. }
  363. /* parent: page_content */
  364. div.modules_content{
  365. width: 100%;
  366. height: calc( 100% - 40px );
  367. position: relative;
  368. }
  369. /* parent: modules_content */
  370. div.modules_nav_wrapper{
  371. position:absolute;
  372. left:0;
  373. bottom: 0;
  374. width:299px;
  375. height:100%;
  376. padding:16px 12px;
  377. overflow:auto;
  378. -webkit-overflow-scrolling:touch;
  379. }
  380. /* parent: modules_nav_wrapper */
  381. div.modules_nav_tree{
  382. background: transparent;
  383. width:100%;
  384. margin: 4px 0;
  385. border:0;
  386. }
  387. /* parent: modules_content */
  388. div.modules_docs_wrapper{
  389. position:absolute;
  390. left:300px;
  391. right:0;
  392. height:100%;
  393. padding:0;
  394. border:0;
  395. margin:0;
  396. overflow:auto;
  397. -webkit-overflow-scrolling:touch;
  398. }
  399. /* parent: modules_docs_wrapper */
  400. iframe.modules_docs_iframe{
  401. display:block;
  402. width:100%;
  403. height:100%;
  404. padding:0;
  405. border:0;
  406. margin:0;
  407. }
  408. /* parent: modules_docs_iframe */
  409. body.docs_body{
  410. width:100%;
  411. padding:12px 24px;
  412. }
  413. /* parent: docs_body */
  414. div.docs_content{
  415. }
  416. /* page styles */
  417. body.page-modules-reference {
  418. overflow: hidden;
  419. width:100%;
  420. height:100%;
  421. }
  422. body.page-manuals-reference {
  423. overflow: hidden;
  424. width:100%;
  425. height:100%;
  426. }
  427. body.page-language-reference {
  428. overflow: hidden;
  429. width:100%;
  430. height:100%;
  431. }
  432. body.forums.post_content {
  433. max-width: 1100px;
  434. }
  435. div.toc{
  436. display:none;
  437. }